### Method

# Fwupd Device get_protocol

deprecated: 1.5.8 since: 1.3.6

#### Declaration [src]

    const gchar*
    fwupd_device_get_protocol (
      FwupdDevice* self
    )

#### Description [src]

Gets the protocol name that the device uses for updating.

Available since: 1.3.6

Deprecated since: 1.5.8

Use `fwupd_device_get_protocols()` instead.

Gets property | `Fwupd.Device:protocol`

#### Return value

Type: `const gchar*`

The protocol name, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.